VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "DDE Handling Example (vb-helper.com)"
   ClientHeight    =   2895
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4050
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2895
   ScaleWidth      =   4050
   StartUpPosition =   2  'CenterScreen
   Begin VB.ListBox List1 
      Height          =   450
      Left            =   240
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox HiddenText 
      Height          =   315
      Left            =   1350
      TabIndex        =   0
      Top             =   600
      Visible         =   0   'False
      Width           =   1365
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim LinkUpdate As Boolean
Private Sub Form_Load()

   ' DDE Handling Demo Project
   '
   ' Peter Chamberlin 2000.
   ' peter@chamberlin1.freeserve.co.uk


   ' Ensure DDE Updating Off
   LinkUpdate = False

   ' Check Command Line (handle DDE)
   Call Form1.HandleCmdLine
   
   ' Terminate if Instance Already
   If App.PrevInstance = True Then End
   
   ' Normal Load (no prior instances)
   If HiddenText.Text <> "" Then
   
      ' Update Caption with CmdLine
      Call Form1.UpdateCaption
      
   End If
   
   
End Sub


Public Sub HandleCmdLine()

   Filey = Command$
   If Trim(Filey) <> "" Then
      
      ' Set Transmission Text
      HiddenText.Text = Filey
         
      If App.PrevInstance = True Then
         
         ' Do DDE with running instance
         Form1.LinkMode = 0 ' Terminate Source Mode in order to become Client
         HiddenText.LinkTopic = "DDEHandler|Form1" ' App Title|Form Name
         HiddenText.LinkItem = "HiddenText" ' Text/PictureBox Name
         HiddenText.LinkMode = vbLinkManual ' Update Mode
         HiddenText.LinkPoke ' Poke Data via DDE to other instance
         
         ' Exit this instance
         End
         
      End If
      
   End If
   
   ' Allow DDE Processing
   LinkUpdate = True

End Sub

Private Sub Form_Resize()
    List1.Move 0, 0, ScaleWidth, ScaleHeight
End Sub

Private Sub HiddenText_Change()

   If LinkUpdate = True Then
      
      ' Update Caption with DDE Information
      Call UpdateCaption

   End If

End Sub



Public Sub UpdateCaption()
Dim pos As Integer
Dim cmds As String
Dim cmd As String

    ' Process DDE Information
    cmds = Trim$(HiddenText.Text)
    Do While Len(cmds) > 0
        pos = InStr(cmds, " ")
        If pos = 0 Then
            cmd = cmds
            cmds = ""
        Else
            cmd = Left$(cmds, pos - 1)
            cmds = Trim$(Mid$(cmds, pos + 1))
        End If

        List1.AddItem cmd
    Loop

    ' Clear DDE Textbox
    LinkUpdate = False
    HiddenText.Text = ""
    LinkUpdate = True
   
    ' Ensure Form Visibility
    Form1.SetFocus
    Beep
End Sub
